### Method

# Ggit Reflog rename

#### Declaration [src]

    gboolean
    ggit_reflog_rename (
      GgitReflog* reflog,
      const gchar* new_name,
      GError** error
    )

#### Description [src]

Renames the reflog for to `new_name`, on error `error` is set.

#### Parameters

`new_name`

  Type: `const gchar*`

  The new name of the reference.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.